| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Attributes | List of all members
GDataRecord Union Reference

Data record union, containing all structs and a generic byte array accessor. More...

`#include <gclib_record.h>`

## Public Attributes
struct GDataRecord4000 | dmc4000
| The DMC-4000 data record.
struct GDataRecord4000 | dmc4103
| The DMC-4103 data record.
struct GDataRecord4000 | dmc50000
| The DMC-50000 data record.
struct GDataRecord52000 | dmc52000
| The DMC-52000 data record.
struct GDataRecord30000 | dmc30000
| The DMC-30000 data record.
struct GDataRecord2103 | dmc2103
| The DMC-21x3 data record.
struct GDataRecord1806 | dmc1806
| The DMC-1806 data record.
struct GDataRecord1802 | dmc1802
| The DMC-1802 data record.
struct GDataRecord47000_ENC | rio47000
| The RIO-471xx & 472xx data record, including encoder support.
struct GDataRecord47300_ENC | rio47300
| The RIO 473xx data record, including encoder support.
struct GDataRecord47300_24EX | rio47300_24ex
| The RIO 473xx data record, with 24EXOUT/24EXIN support.
struct GDataRecord47162 | rio47162
| The RIO 47162 data record.
unsigned char | byte_array [GALILDATARECORDMAXLENGTH]
| Generic byte array for offsets.

## Detailed Description

Data record union, containing all structs and a generic byte array accessor.

Named structs can be used to access typed data by name. Offsets into the data record can also be used by referencing the member byte_array.

//Getting the sample counter for the DMC-4000.
cout << data_record->dmc4000.sample_number << '\n'; //access by 4000 product
cout << * ((unsigned short *) (data_record->byte_array + 4)) << '\n'; //access by pointer arithmetic

Definition at line 1078 of file gclib_record.h.

## Member Data Documentation

## ◆ dmc4000

struct GDataRecord4000 GDataRecord::dmc4000

The DMC-4000 data record.

Definition at line 1080 of file gclib_record.h.

## ◆ dmc4103

struct GDataRecord4000 GDataRecord::dmc4103

The DMC-4103 data record.

Definition at line 1081 of file gclib_record.h.

## ◆ dmc50000

struct GDataRecord4000 GDataRecord::dmc50000

The DMC-50000 data record.

Definition at line 1082 of file gclib_record.h.

## ◆ dmc52000

struct GDataRecord52000 GDataRecord::dmc52000

The DMC-52000 data record.

Definition at line 1084 of file gclib_record.h.

## ◆ dmc30000

struct GDataRecord30000 GDataRecord::dmc30000

The DMC-30000 data record.

Definition at line 1086 of file gclib_record.h.

## ◆ dmc2103

struct GDataRecord2103 GDataRecord::dmc2103

The DMC-21x3 data record.

Definition at line 1088 of file gclib_record.h.

## ◆ dmc1806

struct GDataRecord1806 GDataRecord::dmc1806

The DMC-1806 data record.

Definition at line 1090 of file gclib_record.h.

## ◆ dmc1802

struct GDataRecord1802 GDataRecord::dmc1802

The DMC-1802 data record.

Definition at line 1092 of file gclib_record.h.

## ◆ rio47000

struct GDataRecord47000_ENC GDataRecord::rio47000

The RIO-471xx & 472xx data record, including encoder support.

Definition at line 1094 of file gclib_record.h.

## ◆ rio47300

struct GDataRecord47300_ENC GDataRecord::rio47300

The RIO 473xx data record, including encoder support.

Definition at line 1095 of file gclib_record.h.

## ◆ rio47300_24ex

struct GDataRecord47300_24EX GDataRecord::rio47300_24ex

The RIO 473xx data record, with 24EXOUT/24EXIN support.

Definition at line 1096 of file gclib_record.h.

## ◆ rio47162

struct GDataRecord47162 GDataRecord::rio47162

The RIO 47162 data record.

Definition at line 1097 of file gclib_record.h.

## ◆ byte_array

unsigned char GDataRecord::byte_array[GALILDATARECORDMAXLENGTH]

Generic byte array for offsets.

Definition at line 1099 of file gclib_record.h.

The documentation for this union was generated from the following file:

- gclib_record.h